﻿using System.Windows.Controls;
using System.Windows.Input;

namespace ExampleProject
{
  /// <summary>
  /// Interaction logic for ChartView.xaml
  /// </summary>
  public partial class ChartView : UserControl
  {
    public ChartViewModel ChartViewModel { get; private set; }

    public ChartView()
      : base()
    {
      InitializeComponent();
      ChartViewModel = new ChartViewModel(sciChart, corrShiftCursorModifier);
      this.DataContext = ChartViewModel;
    }

    private void sciChart_PreviewMouseLeftButtonDown(object sender, MouseButtonEventArgs e)
    {
      Keyboard.Focus(sciChart);
      sciChart.Focus();
    }

    private void sciChart_MouseRightButtonUp(object sender, MouseButtonEventArgs e)
    {
    }

    private void UserControl_Loaded(object sender, System.Windows.RoutedEventArgs e)
    {
      ChartViewModel.UpdateChart();
    }
  }
}